--- INSTALL.sh.orig	Thu Jan 17 14:38:56 2008
+++ INSTALL.sh	Thu Jun 11 00:48:25 2009
@@ -8,7 +8,7 @@
 # However, you can change the "prefix" to "/usr" and childsplay will still
 # work. Set it to anything else and your on your own.
   
-PREFIX=/usr/local
+PREFIX=$PWD/_pkg
 
 #################################################################
 # DON'T EDIT BEHIND THIS POINT 
@@ -20,16 +20,16 @@
 
 PYTHON=`which python`
 
-EXECDIR=$PREFIX/bin
-LOCALEDIR=$PREFIX/share/locale
-ASSETMLDIR=/usr/share/assetml
-SCOREDIR=/var/games
+EXECDIR=$PREFIX/usr/bin
+LOCALEDIR=$PREFIX/usr/share/locale
+ASSETMLDIR=$PREFIX/usr/share/assetml
+SCOREDIR=$PREFIX/var/games
 SCOREFILE=$SCOREDIR/childsplay.score
-DOCDIR=$PREFIX/share/doc/childsplay
-MANDIR=$PREFIX/man/man6
-CPDIR=$PREFIX/lib/games/childsplay
-SHAREDIR=$PREFIX/share/childsplay
-BINDIR=$PREFIX/games
+DOCDIR=$PREFIX/usr/share/doc/childsplay
+MANDIR=$PREFIX/usr/man/man6
+CPDIR=$PREFIX/usr/lib/games/childsplay
+SHAREDIR=$PREFIX/usr/share/childsplay
+BINDIR=$PREFIX/usr/games
 LIBDIR=$CPDIR/lib
 MODULESDIR=$LIBDIR
 SHARELIBDATADIR=$SHAREDIR/lib
@@ -39,21 +39,21 @@
 HOME_DIR_NAME=.childsplay
 CHILDSPLAYRC=childsplayrc
 
-OLDCPDIR=$PREFIX/games/childsplay
+OLDCPDIR=$PREFIX/usr/games/childsplay
 
 echo "Making directorys"
-mkdir -vp $CPDIR
-mkdir -vp $CPDIR/lib
-mkdir -vp $DOCDIR
-mkdir -vp $LOCALEDIR
-mkdir -vp $ASSETMLDIR
-mkdir -vp $SCOREDIR
-mkdir -vp $MANDIR
-mkdir -vp $SHAREDIR
-mkdir -vp $SHAREDATADIR
-mkdir -vp $SHARELIBDATADIR
-mkdir -vp $BINDIR
-mkdir -vp $EXECDIR
+mkdir -p $CPDIR
+mkdir -p $CPDIR/lib
+mkdir -p $DOCDIR
+mkdir -p $LOCALEDIR
+mkdir -p $ASSETMLDIR
+mkdir -p $SCOREDIR
+mkdir -p $MANDIR
+mkdir -p $SHAREDIR
+mkdir -p $SHAREDATADIR
+mkdir -p $SHARELIBDATADIR
+mkdir -p $BINDIR
+mkdir -p $EXECDIR
 
 set -e
 
@@ -128,24 +128,24 @@
 #    echo "found and removed"
 #fi
 
-echo " Setting the base path in childsplay to $PREFIX"
+echo "Setting the base path in childsplay to /usr"
 echo "## Automated file please do not edit" > $CPDIR/BASEPATH.py
-echo "BASEPATH=\"$PREFIX\"" >> $CPDIR/BASEPATH.py
-echo "EXECDIR=\"$EXECDIR\"" >> $CPDIR/BASEPATH.py
-echo "LOCALEDIR=\"$LOCALEDIR\"" >> $CPDIR/BASEPATH.py
-echo "ASSETMLDIR=\"$ASSETMLDIR\"" >> $CPDIR/BASEPATH.py
-echo "SCOREDIR=\"$SCOREDIR\"" >> $CPDIR/BASEPATH.py
-echo "SCOREFILE=\"$SCOREFILE\"" >> $CPDIR/BASEPATH.py
-echo "DOCDIR=\"$DOCDIR\"" >> $CPDIR/BASEPATH.py
-echo "MANDIR=\"$MANDIR\"" >> $CPDIR/BASEPATH.py
-echo "CPDIR=\"$CPDIR\"" >> $CPDIR/BASEPATH.py
-echo "SHAREDIR=\"$SHAREDIR\"" >> $CPDIR/BASEPATH.py
-echo "BINDIR=\"$BINDIR\"" >> $CPDIR/BASEPATH.py
-echo "LIBDIR=\"$LIBDIR\"" >> $CPDIR/BASEPATH.py
-echo "MODULESDIR=\"$MODULESDIR\"" >> $CPDIR/BASEPATH.py
-echo "SHARELIBDATADIR=\"$SHARELIBDATADIR\"" >> $CPDIR/BASEPATH.py
-echo "SHAREDATADIR=\"$SHAREDATADIR\"" >> $CPDIR/BASEPATH.py
-echo "RCDIR=\"$RCDIR\"" >> $CPDIR/BASEPATH.py
+echo "BASEPATH=\"/usr\"" >> $CPDIR/BASEPATH.py
+echo "EXECDIR=\"/usr/bin\"" >> $CPDIR/BASEPATH.py
+echo "LOCALEDIR=\"/usr/share/locale\"" >> $CPDIR/BASEPATH.py
+echo "ASSETMLDIR=\"/usr/share/assetml\"" >> $CPDIR/BASEPATH.py
+echo "SCOREDIR=\"/var/games\"" >> $CPDIR/BASEPATH.py
+echo "SCOREFILE=\"/var/games/childsplay.score\"" >> $CPDIR/BASEPATH.py
+echo "DOCDIR=\"/usr/share/doc/childsplay\"" >> $CPDIR/BASEPATH.py
+echo "MANDIR=\"/usr/man/man6\"" >> $CPDIR/BASEPATH.py
+echo "CPDIR=\"/usr/lib/games/childsplay\"" >> $CPDIR/BASEPATH.py
+echo "SHAREDIR=\"/usr/share/childsplay\"" >> $CPDIR/BASEPATH.py
+echo "BINDIR=\"/usr/games\"" >> $CPDIR/BASEPATH.py
+echo "LIBDIR=\"/usr/lib/games/childsplay/lib\"" >> $CPDIR/BASEPATH.py
+echo "MODULESDIR=\"/usr/lib/games/childsplay/lib\"" >> $CPDIR/BASEPATH.py
+echo "SHARELIBDATADIR=\"/usr/share/childsplay/lib\"" >> $CPDIR/BASEPATH.py
+echo "SHAREDATADIR=\"/usr/share/childsplay/Data\"" >> $CPDIR/BASEPATH.py
+echo "RCDIR=\"/usr/share/childsplay/Data/ConfigData\"" >> $CPDIR/BASEPATH.py
 echo "CHILDSPLAYRC=\"$CHILDSPLAYRC\"" >> $CPDIR/BASEPATH.py
 echo "HOME_DIR_NAME=\"$HOME_DIR_NAME\"" >> $CPDIR/BASEPATH.py
 echo "" >> $CPDIR/BASEPATH.py
@@ -158,7 +158,7 @@
 echo ">>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>"
 echo " One thing left todo..."
 echo " Translating words"
-$PYTHON $CPDIR/letters-trans.py $ASSETMLDIR
+$PYTHON $CPDIR/letters-trans.py $PREFIX/usr/share/assetml
 echo ">>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>"
 echo " Be sure to read the README-MEMORY file on how you can"
 echo " use your own pictures in the memory game."
